<!DOCTYPE html>
<html style="height: 100%">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{title}}</title>

<!-- Bootstrap 5.2 CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" 
rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" 
crossorigin="anonymous">
<!-- Bootstrap 5.2 CSS only -->
<!-- Bootstrap 5.2 NAVBAR -->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">INF 226</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{{url_for('home')}}">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{url_for('login')}}">Login</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="{{url_for('register')}}">Register</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
<!-- Bootstrap 5.2 NAVBAR -->
</head>
<body style="background: linear-gradient(135deg, #F97794 19%,#623AA2 100%)">
    {%block content %}

    {%endblock content%} 
<!-- Bootstrap 5.2 JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" 
integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" 
crossorigin="anonymous"></script>   
<!-- Bootstrap 5.2 JavaScript Bundle with Popper -->
</body>
</html>